This documentation is for a release that is no longer maintained.
You can select a different version or view all RHACS documentation.Chapter 41. Namespace Service
41.1. Namespace Service Copy linkLink copied to clipboard!
41.1.1. GetNamespace Copy linkLink copied to clipboard!
GET /v1/namespaces/{id}
41.1.1.1. Description Copy linkLink copied to clipboard!
41.1.1.2. Parameters Copy linkLink copied to clipboard!
41.1.1.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
41.1.1.3. Return Type Copy linkLink copied to clipboard!
41.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
41.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
41.1.1.6. Samples Copy linkLink copied to clipboard!
41.1.2. GetNamespaces Copy linkLink copied to clipboard!
GET /v1/namespaces
41.1.2.1. Description Copy linkLink copied to clipboard!
41.1.2.2. Parameters Copy linkLink copied to clipboard!
41.1.2.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query.query | - | null | ||
| query.pagination.limit | - | null | ||
| query.pagination.offset | - | null | ||
| query.pagination.sortOption.field | - | null | ||
| query.pagination.sortOption.reversed | - | null | ||
| query.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| query.pagination.sortOption.aggregateBy.distinct | - | null |
41.1.2.3. Return Type Copy linkLink copied to clipboard!
41.1.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
41.1.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |